Skip to Content

Delete a Mail split

Deletes the signed-in reader’s saved split and returns it. Requires a person signed in through Mail or the CLI.

DELETE
/v1/mailboxes/splits/{splitId}

Deletes the signed-in reader’s saved split and returns it. Requires a person signed in through Mail or the CLI.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

splitId*string

Response Body

Success

application/json
  1. response
id*string
name*string
Length1 <= length <= 100
filter*||
mailboxId*|null
position*integer
Range-9007199254740991 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.deleteSplit({
  "splitId": "example"
});
Example Response
{
  "id": "string",
  "name": "string",
  "filter": {
    "kind": "query",
    "query": "string"
  },
  "mailboxId": "string",
  "position": -9007199254740991
}

Related documentation